"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthenticationServiceApplication = void 0;
const tslib_1 = require("tslib");
const path = tslib_1.__importStar(require("path"));
const repository_1 = require("@loopback/repository");
const rest_1 = require("@loopback/rest");
const boot_1 = require("@bleco/boot");
const component_1 = require("./component");
const keys_1 = require("./keys");
class AuthenticationServiceApplication extends (0, boot_1.BootMixin)((0, repository_1.RepositoryMixin)(rest_1.RestApplication)) {
    constructor(options = {}) {
        super(options);
        this.static('/', path.join(__dirname, '../public'));
        this.bind(keys_1.AuthenticationBindings.CONFIG).to({
            secureClient: true,
        });
        this.component(component_1.AuthenticationServiceComponent);
        this.projectRoot = __dirname;
    }
}
exports.AuthenticationServiceApplication = AuthenticationServiceApplication;
//# sourceMappingURL=application.js.map