"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthaLogoutProvider = void 0;
const tslib_1 = require("tslib");
const context_1 = require("@loopback/context");
const authentication_1 = require("@bleco/authentication");
let AuthaLogoutProvider = exports.AuthaLogoutProvider = class AuthaLogoutProvider {
    constructor(options) {
        this.options = options;
    }
    value() {
        return async (refreshToken, state) => {
            var _a, _b;
            if (!((_a = this.options) === null || _a === void 0 ? void 0 : _a.endpoint) || !((_b = this.options) === null || _b === void 0 ? void 0 : _b.clientID)) {
                throw new Error('Autha logout provider is not configured');
            }
            const { endpoint, clientID, postLogoutRedirectUri } = this.options;
            const params = new URLSearchParams({
                client_id: clientID,
                state,
            });
            if (postLogoutRedirectUri) {
                params.append('post_logout_redirect_uri', postLogoutRedirectUri);
            }
            return `${endpoint}/oidc/session/end?${params.toString()}`;
        };
    }
};
exports.AuthaLogoutProvider = AuthaLogoutProvider = tslib_1.__decorate([
    tslib_1.__param(0, (0, context_1.inject)(authentication_1.Strategies.Passport.AUTHA_STRATEGY_OPTIONS, { optional: true })),
    tslib_1.__metadata("design:paramtypes", [Object])
], AuthaLogoutProvider);
//# sourceMappingURL=autha-logout.provider.js.map