import { User } from '../models';
import { IOtpRequest, OtpRequestConnectionType } from '../types';
export type OtpConnectionUserKey = 'phone' | 'email';
export declare const OtpSupportedConnections: OtpRequestConnectionType[];
export declare const OtpConnectionUserKeyMap: Record<OtpRequestConnectionType, OtpConnectionUserKey>;
export declare class OtpRequest implements IOtpRequest {
    readonly uci: string;
    conn: OtpRequestConnectionType;
    upn: string;
    user?: User | null;
    key: OtpConnectionUserKey;
    constructor(uci: string, connection: OtpRequestConnectionType, upn: string, user?: User);
    static from(uci: string): OtpRequest | undefined;
    static fromUser(user: User, uci: string): OtpRequest;
}
