"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultRoleProvider = void 0;
const tslib_1 = require("tslib");
const context_1 = require("@loopback/context");
const repository_1 = require("@loopback/repository");
const repositories_1 = require("../repositories");
const keys_1 = require("./keys");
let DefaultRoleProvider = exports.DefaultRoleProvider = class DefaultRoleProvider {
    constructor(tenantRepository, defaultRoleName) {
        this.tenantRepository = tenantRepository;
        this.defaultRoleName = defaultRoleName;
    }
    async value() {
        const tenant = await this.tenantRepository.findOne({
            where: {
                or: [{ id: this.defaultRoleName }, { name: this.defaultRoleName }],
            },
        });
        if (!tenant) {
            throw new Error(`Default tenant not found with key: ${this.defaultRoleName}`);
        }
        return tenant;
    }
};
exports.DefaultRoleProvider = DefaultRoleProvider = tslib_1.__decorate([
    tslib_1.__param(0, (0, repository_1.repository)(repositories_1.RoleRepository)),
    tslib_1.__param(1, (0, context_1.inject)(keys_1.AuthEntityBindings.DefaultRoleName)),
    tslib_1.__metadata("design:paramtypes", [repositories_1.RoleRepository, String])
], DefaultRoleProvider);
//# sourceMappingURL=default-role.provider.js.map