import { BindingKey } from '@loopback/core';
import { VerifyFunction } from '@bleco/authentication';
import { Role, Tenant } from '../models';
import { PreSignupFn, UserSignupFn } from '../types';
import { AuthCodeGeneratorProvider } from './auth-code-generator.provider';
import { ApplePostVerifyFn, ApplePreVerifyFn, AppleSignUpFn, AuthaPostVerifyFn, AuthaPreVerifyFn, AuthaSignUpFn, AzureAdPostVerifyFn, AzureAdPreVerifyFn, AzureAdSignUpFn, CodeReaderFn, CodeWriterFn, CognitoPostVerifyFn, CognitoPreVerifyFn, CognitoSignUpFn, FacebookPostVerifyFn, FacebookPreVerifyFn, FacebookSignUpFn, GooglePostVerifyFn, GooglePreVerifyFn, GoogleSignUpFn, InstagramPostVerifyFn, InstagramPreVerifyFn, InstagramSignUpFn, JWTSignerFn, JWTVerifierFn, KeyCloakPostVerifyFn, KeyCloakPreVerifyFn, KeyCloakSignUpFn, MfaCheckFn, OtpFn, OtpGenerateFn, OtpSenderFn, SignupTokenHandlerFn } from './types';
export declare namespace SignUpBindings {
    const GOOGLE_SIGN_UP_PROVIDER: BindingKey<GoogleSignUpFn>;
    const INSTAGRAM_SIGN_UP_PROVIDER: BindingKey<InstagramSignUpFn>;
    const APPLE_SIGN_UP_PROVIDER: BindingKey<AppleSignUpFn>;
    const FACEBOOK_SIGN_UP_PROVIDER: BindingKey<FacebookSignUpFn>;
    const KEYCLOAK_SIGN_UP_PROVIDER: BindingKey<KeyCloakSignUpFn>;
    const AZURE_AD_SIGN_UP_PROVIDER: BindingKey<AzureAdSignUpFn>;
    const COGNITO_SIGN_UP_PROVIDER: BindingKey<CognitoSignUpFn>;
    const AUTHA_SIGNUP_PROVIDER: BindingKey<AuthaSignUpFn>;
    const PRE_LOCAL_SIGNUP_PROVIDER: BindingKey<PreSignupFn<any, any>>;
    const LOCAL_SIGNUP_PROVIDER: BindingKey<UserSignupFn<any, any>>;
    const SIGNUP_HANDLER_PROVIDER: BindingKey<SignupTokenHandlerFn>;
}
export declare namespace VerifyBindings {
    const GOOGLE_PRE_VERIFY_PROVIDER: BindingKey<GooglePreVerifyFn>;
    const GOOGLE_POST_VERIFY_PROVIDER: BindingKey<GooglePostVerifyFn>;
    const INSTAGRAM_POST_VERIFY_PROVIDER: BindingKey<InstagramPostVerifyFn>;
    const INSTAGRAM_PRE_VERIFY_PROVIDER: BindingKey<InstagramPreVerifyFn>;
    const APPLE_PRE_VERIFY_PROVIDER: BindingKey<ApplePreVerifyFn>;
    const APPLE_POST_VERIFY_PROVIDER: BindingKey<ApplePostVerifyFn>;
    const FACEBOOK_POST_VERIFY_PROVIDER: BindingKey<FacebookPostVerifyFn>;
    const FACEBOOK_PRE_VERIFY_PROVIDER: BindingKey<FacebookPreVerifyFn>;
    const KEYCLOAK_PRE_VERIFY_PROVIDER: BindingKey<KeyCloakPreVerifyFn>;
    const KEYCLOAK_POST_VERIFY_PROVIDER: BindingKey<KeyCloakPostVerifyFn>;
    const COGNITO_PRE_VERIFY_PROVIDER: BindingKey<CognitoPreVerifyFn>;
    const COGNITO_POST_VERIFY_PROVIDER: BindingKey<CognitoPostVerifyFn>;
    const OTP_PROVIDER: BindingKey<OtpFn>;
    const OTP_GENERATE_PROVIDER: BindingKey<OtpGenerateFn>;
    const OTP_SENDER_PROVIDER: BindingKey<OtpSenderFn>;
    const OTP_EMAIL_SENDER_PROVIDER: BindingKey<OtpSenderFn>;
    const OTP_SMS_SENDER_PROVIDER: BindingKey<OtpSenderFn>;
    const PASSWORDLESS_VERIFIER: BindingKey<VerifyFunction.LocalPasswordFn<import("@bleco/authentication").IAuthUser>>;
    const MFA_PROVIDER: BindingKey<MfaCheckFn>;
    const BEARER_SIGNUP_VERIFY_PROVIDER: BindingKey<VerifyFunction.GenericAuthFn<any>>;
    const AZURE_AD_PRE_VERIFY_PROVIDER: BindingKey<AzureAdPreVerifyFn>;
    const AZURE_AD_POST_VERIFY_PROVIDER: BindingKey<AzureAdPostVerifyFn>;
    const AUTHA_PRE_VERIFY_PROVIDER: BindingKey<AuthaPreVerifyFn>;
    const AUTHA_POST_VERIFY_PROVIDER: BindingKey<AuthaPostVerifyFn>;
}
export declare namespace AuthCodeBindings {
    const CODEWRITER_PROVIDER: BindingKey<CodeWriterFn>;
    const CODEREADER_PROVIDER: BindingKey<CodeReaderFn>;
    const AUTH_CODE_GENERATOR_PROVIDER: BindingKey<AuthCodeGeneratorProvider>;
    const JWT_SIGNER: BindingKey<JWTSignerFn<object>>;
    const JWT_VERIFIER: BindingKey<JWTVerifierFn<string>>;
}
export declare namespace AuthEntityBindings {
    const DefaultTenantProvider: BindingKey<Tenant>;
    const DefaultTenantKey: BindingKey<string>;
    const DefaultRoleProvider: BindingKey<Role>;
    const DefaultRoleName: BindingKey<string>;
}
