"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthEntityBindings = exports.AuthCodeBindings = exports.VerifyBindings = exports.SignUpBindings = void 0;
const core_1 = require("@loopback/core");
var SignUpBindings;
(function (SignUpBindings) {
    SignUpBindings.GOOGLE_SIGN_UP_PROVIDER = core_1.BindingKey.create('ml.google.signup.provider');
    SignUpBindings.INSTAGRAM_SIGN_UP_PROVIDER = core_1.BindingKey.create('ml.instagram.signup.provider');
    SignUpBindings.APPLE_SIGN_UP_PROVIDER = core_1.BindingKey.create('ml.apple.signup.provider');
    SignUpBindings.FACEBOOK_SIGN_UP_PROVIDER = core_1.BindingKey.create('ml.facebook.signup.provider');
    SignUpBindings.KEYCLOAK_SIGN_UP_PROVIDER = core_1.BindingKey.create('ml.keycloak.signup.provider');
    SignUpBindings.AZURE_AD_SIGN_UP_PROVIDER = core_1.BindingKey.create('ml.azuread.signup.provider');
    SignUpBindings.COGNITO_SIGN_UP_PROVIDER = core_1.BindingKey.create('ml.cognito.signup.provider');
    SignUpBindings.AUTHA_SIGNUP_PROVIDER = core_1.BindingKey.create('ml.autha.signup.provider');
    SignUpBindings.PRE_LOCAL_SIGNUP_PROVIDER = core_1.BindingKey.create(`ml.local.presignup.provider`);
    SignUpBindings.LOCAL_SIGNUP_PROVIDER = core_1.BindingKey.create(`ml.local.signup.provider`);
    SignUpBindings.SIGNUP_HANDLER_PROVIDER = core_1.BindingKey.create(`ml.local.signup.handler.provider`);
})(SignUpBindings || (exports.SignUpBindings = SignUpBindings = {}));
var VerifyBindings;
(function (VerifyBindings) {
    VerifyBindings.GOOGLE_PRE_VERIFY_PROVIDER = core_1.BindingKey.create('ml.google.preverify.provider');
    VerifyBindings.GOOGLE_POST_VERIFY_PROVIDER = core_1.BindingKey.create('ml.google.postverify.provider');
    VerifyBindings.INSTAGRAM_POST_VERIFY_PROVIDER = core_1.BindingKey.create('ml.instgram.postverify.provider');
    VerifyBindings.INSTAGRAM_PRE_VERIFY_PROVIDER = core_1.BindingKey.create('ml.instagram.preverify.provider');
    VerifyBindings.APPLE_PRE_VERIFY_PROVIDER = core_1.BindingKey.create('ml.apple.preverify.provider');
    VerifyBindings.APPLE_POST_VERIFY_PROVIDER = core_1.BindingKey.create('ml.apple.postverify.provider');
    VerifyBindings.FACEBOOK_POST_VERIFY_PROVIDER = core_1.BindingKey.create('ml.facebook.postverify.provider');
    VerifyBindings.FACEBOOK_PRE_VERIFY_PROVIDER = core_1.BindingKey.create('ml.facebook.preverify.provider');
    VerifyBindings.KEYCLOAK_PRE_VERIFY_PROVIDER = core_1.BindingKey.create('ml.keycloak.preverify.provider');
    VerifyBindings.KEYCLOAK_POST_VERIFY_PROVIDER = core_1.BindingKey.create('ml.keycloak.postverify.provider');
    VerifyBindings.COGNITO_PRE_VERIFY_PROVIDER = core_1.BindingKey.create('ml.cognito.preverify.provider');
    VerifyBindings.COGNITO_POST_VERIFY_PROVIDER = core_1.BindingKey.create('ml.cognito.postverify.provider');
    VerifyBindings.OTP_PROVIDER = core_1.BindingKey.create('ml.otp.provider');
    VerifyBindings.OTP_GENERATE_PROVIDER = core_1.BindingKey.create('ml.otp.generate.provider');
    VerifyBindings.OTP_SENDER_PROVIDER = core_1.BindingKey.create('ml.otp.sender.provider');
    VerifyBindings.OTP_EMAIL_SENDER_PROVIDER = core_1.BindingKey.create('ml.otp.email.sender.provider');
    VerifyBindings.OTP_SMS_SENDER_PROVIDER = core_1.BindingKey.create('ml.otp.sms.sender.provider');
    VerifyBindings.PASSWORDLESS_VERIFIER = core_1.BindingKey.create('ml.passwordless.verifier.provider');
    VerifyBindings.MFA_PROVIDER = core_1.BindingKey.create('ml.mfa.check.provider');
    VerifyBindings.BEARER_SIGNUP_VERIFY_PROVIDER = core_1.BindingKey.create(`ml.bearer.signupverify.provider`);
    VerifyBindings.AZURE_AD_PRE_VERIFY_PROVIDER = core_1.BindingKey.create('ml.azure.preverify.provider');
    VerifyBindings.AZURE_AD_POST_VERIFY_PROVIDER = core_1.BindingKey.create('ml.azure.postverify.provider');
    VerifyBindings.AUTHA_PRE_VERIFY_PROVIDER = core_1.BindingKey.create('ml.autha.preverify.provider');
    VerifyBindings.AUTHA_POST_VERIFY_PROVIDER = core_1.BindingKey.create('ml.autha.postverify.provider');
})(VerifyBindings || (exports.VerifyBindings = VerifyBindings = {}));
var AuthCodeBindings;
(function (AuthCodeBindings) {
    AuthCodeBindings.CODEWRITER_PROVIDER = core_1.BindingKey.create('ml.auth.codewriter.provider');
    AuthCodeBindings.CODEREADER_PROVIDER = core_1.BindingKey.create('ml.auth.codereader.provider');
    AuthCodeBindings.AUTH_CODE_GENERATOR_PROVIDER = core_1.BindingKey.create('ml.auth-code.generator.provider');
    AuthCodeBindings.JWT_SIGNER = core_1.BindingKey.create('ml.auth-token.generator.provider');
    AuthCodeBindings.JWT_VERIFIER = core_1.BindingKey.create('ml.auth-token.verifier.provider');
})(AuthCodeBindings || (exports.AuthCodeBindings = AuthCodeBindings = {}));
var AuthEntityBindings;
(function (AuthEntityBindings) {
    AuthEntityBindings.DefaultTenantProvider = core_1.BindingKey.create(`ml.auth.default.tenant.provider`);
    AuthEntityBindings.DefaultTenantKey = core_1.BindingKey.create(`ml.auth.default.tenant.key`);
    AuthEntityBindings.DefaultRoleProvider = core_1.BindingKey.create(`ml.auth.default.role.provider`);
    AuthEntityBindings.DefaultRoleName = core_1.BindingKey.create(`ml.auth.default.role.name`);
})(AuthEntityBindings || (exports.AuthEntityBindings = AuthEntityBindings = {}));
//# sourceMappingURL=keys.js.map