import { Getter } from '@loopback/core';
import { HasManyRepositoryFactory, juggler } from '@loopback/repository';
import { DefaultUserUpdatableCrudRepository, EntityClass, IAuthUserWithPermissions } from '@loopx/core';
import { TenantConfigTypes, TenantTypes } from '../models';
import { TenantConfigRepository } from './tenant-config.repository';
export declare class TenantRepository<T extends TenantTypes = TenantTypes, C extends TenantConfigTypes = TenantConfigTypes> extends DefaultUserUpdatableCrudRepository<T['Model'], T['ID'], T['Relations']> {
    protected tenantConfigRepositoryGetter: Getter<TenantConfigRepository<C, T>>;
    readonly tenantConfigs: HasManyRepositoryFactory<C['Model'], T['ID']>;
    constructor(dataSource: juggler.DataSource, tenantConfigRepositoryGetter: Getter<TenantConfigRepository<C, T>>, getCurrentUser?: Getter<IAuthUserWithPermissions | undefined>, entityClass?: EntityClass<T['Model']>);
}
