import { Getter } from '@loopback/core';
import { BelongsToAccessor, juggler } from '@loopback/repository';
import { DefaultSoftCrudRepository } from '@bleco/soft-delete';
import { EntityClass } from '@loopx/core';
import { UserCredentialsTypes, UserTypes } from '../models';
import { UserRepository } from './user.repository';
export declare class UserCredentialsRepository<UC extends UserCredentialsTypes = UserCredentialsTypes, U extends UserTypes = UserTypes> extends DefaultSoftCrudRepository<UC['Model'], UC['ID'], UC['Relations']> {
    protected userRepositoryGetter: Getter<UserRepository>;
    readonly user: BelongsToAccessor<U['Model'], UC['ID']>;
    constructor(dataSource: juggler.DataSource, userRepositoryGetter: Getter<UserRepository>, entityClass?: EntityClass<UC['Model']>);
}
